
#include <stdio.h>
#include <stdlib.h>

#include "d4dag.h"

/* todo with this there is no difference between mainc and mainc++ */
/* todo there is a small difference in the binaries */

/* all mlloc's will be below 4Gb at once */
static void *mymalloc(unsigned int n)
{
	return (malloc((size_t)n));
}

int main(int argc, char *argv[])
{
	int status = 0;
	if (argc) {
	}
	if (argv) {
	}
	status = d4d_init(mymalloc, free);
	printf("%d\n", status);
	status = d4d_deinit();
	return (0);
}
